/*****************************************************************************
	Ball: Buster
	Copyright (C) 2004 PatrickAvella

    This file is part of Ball: Buster.

    Ball: Buster is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Ball: Buster is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Ball: Buster; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*******************************************************************************
**  Ball: Buster uses the ClanLib sdk, it can be found at http://clanlib.org
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
*******************************************************************************/


#include "headers.h"

class CImage {
public:
	CL_Surface *leftborder, *rightborder, *topborder, *bgtile;

	CL_Sprite *rblock, *rblockpart, *gblock, *gblockpart, *bblock, *bblockpart;
	CL_Sprite *yblock, *yblockpart, *tblock, *tblockpart, *wblock, *wblockpart;
	CL_Sprite *cblock, *cblockpart, *sblock, *sblockpart;
	CL_Sprite *crack;

	CL_Sprite *paddle, *flash, *smallpaddle, *largepaddle, *fireball, *ball;
	CL_Sprite *pupaddleregular, *pupaddlesmall, *pupaddlelarge, *pufastball, *puslowball, *puregularspeed,
		*pumultiball, *pu1up, *publaster, *pufireball, *pusticky, *pusupersticky, *pureset, *purandom, 
		*pu100, *pu250, *pu500, *pu1000,
		*pucatchblue, *pucatchred;
	

	CL_Sprite *arrow, *bblogo, *palogo, *xlogo;

	CL_Font *font;


	void load();
	void unload();
	};
