/*****************************************************************************
	Ball: Buster
	Copyright (C) 2004 PatrickAvella

    This file is part of Ball: Buster.

    Ball: Buster is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Ball: Buster is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Ball: Buster; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*******************************************************************************
**  Ball: Buster uses the ClanLib sdk, it can be found at http://clanlib.org
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
*******************************************************************************/


#include "CSound.h"

void CSound::load() {

	this->bounce= new CL_SoundBuffer(DATADIR "snd/bounce.wav");
	this->shatter= new CL_SoundBuffer(DATADIR "snd/break.wav");
	this->powerup= new CL_SoundBuffer(DATADIR "snd/powerup.wav");
	this->ballfall= new CL_SoundBuffer(DATADIR "snd/zoom.wav");
	this->speedup= new CL_SoundBuffer(DATADIR "snd/speedup.wav");
	this->ching= new CL_SoundBuffer(DATADIR "snd/ching.wav");
	this->die= new CL_SoundBuffer(DATADIR "snd/die.wav");
	this->music1= new CL_SoundBuffer(DATADIR "snd/Rockin1.ogg");
	this->music2= new CL_SoundBuffer(DATADIR "snd/Rockin2.ogg");
	this->music3= new CL_SoundBuffer(DATADIR "snd/Grunge.ogg");
	this->music4= new CL_SoundBuffer(DATADIR "snd/Rave.ogg");
	this->music5= new CL_SoundBuffer(DATADIR "snd/FastDance.ogg");
	this->music6= new CL_SoundBuffer(DATADIR "snd/SweetDreams.ogg");
	}


CSound::~CSound() {
	delete this->bounce;
	delete this->shatter;
	delete this->powerup;
	delete this->ballfall;
	delete this->speedup;
	delete this->ching;
	delete this->die;
	delete this->music1;
	delete this->music2;
	delete this->music3;
	delete this->music4;
	delete this->music5;
	delete this->music6;

	}
