
#include <string>
#include <cstring>
#include <cstdlib>
#include <cstdio>
#include "Highscores.h"

using namespace std;

////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//	Highscore Class Functions
//
CHighscore::CHighscore()
{
	score = 0;
}

CHighscore::CHighscore(char *data)
{
	char *buffer;
	unsigned int i;

	buffer = new char[strlen(data)+1];

	strcpy(buffer, data);

	for (i = 0; i < strlen(buffer); i++)
	{
		if (buffer[i] == ',')
			break;
	}

	if (i == strlen(buffer))
		throw "Failed to read high score data.";

	buffer[i] = 0;


	name = buffer;
	score = atoi(data + i + 1);

	
	delete [] buffer;

}

CHighscore::~CHighscore()
{}

std::string CHighscore::toString()
{
	string retval;
	char buffer[40];

	sprintf(buffer, ",%lu", score);

	retval = name + string(buffer);


	return retval;
}



