
#include <ClanLib/display.h>
#include "ScoreByte.h"


CScoreByte::CScoreByte(int myx, int myy, std::string myamount, CL_Surface *myimage, CL_Color clr)
{
	alpha = 1.0f;

	x = float(myx);
	y = float(myy);
	amount = myamount;
	
	vy = -40;
	vx = 0;

	image = myimage;

	mClr = clr;
}

CScoreByte::~CScoreByte()
{
}


void CScoreByte::update(float fps)
{
	x += vx / fps;
	y += vy / fps;

	alpha -= 1.0f / fps;
}

