
#include <string>

class CL_Surface;
class CL_Color;

class CScoreByte
{
public:
	CScoreByte(int myx, int myy, std::string myamount, CL_Surface *myimage, CL_Color clr);
	~CScoreByte();

	std::string getAmount() { return amount; }
	void update(float fps);

	float getAlpha() { return alpha; }
	int getx() { return int(x); }
	int gety() { return int(y); }

	CL_Surface *getImage() { return image; }
	CL_Color getColor() { return mClr; }
	
private:
	std::string amount;

	float x, y;
	float vx, vy;
	float alpha;

	CL_Color mClr;

	CL_Surface *image;
};

